Bug 609169 - Review Request: chatzilla - Standalone Mozilla IRC Client, no browsers attached
Review Request: chatzilla - Standalone Mozilla IRC Client, no browsers attached
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Silas Sewell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-29 10:55 EDT by Hicham HAOUARI
Modified: 2010-08-02 22:18 EDT (History)
3 users (show)

See Also:
Fixed In Version: chatzilla-0.9.86-1.1285hg.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-02 20:34:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
silas: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hicham HAOUARI 2010-06-29 10:55:32 EDT
Spec URL: http://hicham.fedorapeople.org/chatzilla/chatzilla.spec
SRPM URL: http://hicham.fedorapeople.org/chatzilla/chatzilla-0.9.86-1.1285hg.fc13.src.rpm
Description:
ChatZilla is normally used as part of SeaMonkey, or an extension 
to other browsers. However, it can also run under XULRunner, allowing 
ChatZilla to be used standalone, independent of a web browser.
Comment 1 Silas Sewell 2010-08-01 20:45:29 EDT
rpmlint

chatzilla.noarch: W: no-manual-page-for-binary chatzilla
 - I wouldn't worry about a man page for this
chatzilla-gnome.noarch: W: spelling-error %description -l en_US irc -> Ric, Irv, Ir
 - Maybe just change this to "IRC" and add a period to the end of the sentence
chatzilla-gnome.noarch: W: no-documentation
 - This is fine
chatzilla-gnome.noarch: W: non-conffile-in-etc /etc/gconf/schemas/chatzilla.schemas
 - This is fine
3 packages and 0 specfiles checked; 0 errors, 4 warnings.

formal review here:
+:ok, =:needs attention, -:needs fixing

MUST Items:
[+] MUST: rpmlint must be run on every package.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}
[=] MUST: The package must meet the Packaging Guidelines.
 - chatzilla-gnome should probably use "Requires: %{name} = %{version}-%{release}"
 - You don't need a BuiltRoot for F10+ (unless you're going to branch in EL5)
 - You don't need a %clean if you're only pushing to >= F-13 (and not EL5)
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[-] MUST: The License field in the package spec file must match the actual license.
 - All code I could find was triple licensed: MPLv1.1 or GPLv2+ or LGPLv2+
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[-] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.
 - Upstream: 9792a010e620a77c2502a8935c92373c
 - SRPM:     9dfccd10b3ddb79841e11af48089362e
[+] MUST: The package must successfully compile and build into binary rpms on at least one supported architecture.
[+] MUST: All build dependencies must be listed in BuildRequires
[+] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro.
[+] MUST: Every binary RPM package which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must consistently use macros, as described in the macros section of Packaging Guidelines.
[+] MUST: The package must contain code, or permissible content. This is described in detail in the code vs. content section of Packaging Guidelines.
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+] MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec.
[+] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section.
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[=] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[+] SHOULD: The reviewer should test that the package functions as described.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[+] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
Comment 2 Hicham HAOUARI 2010-08-02 00:42:44 EDT
(In reply to comment #1)
> rpmlint
> 
> chatzilla.noarch: W: no-manual-page-for-binary chatzilla
>  - I wouldn't worry about a man page for this

+ Fixed

> chatzilla-gnome.noarch: W: spelling-error %description -l en_US irc -> Ric,
> Irv, Ir
>  - Maybe just change this to "IRC" and add a period to the end of the sentence

+ Fixed

> chatzilla-gnome.noarch: W: no-documentation
>  - This is fine

+ Fixed

> chatzilla-gnome.noarch: W: non-conffile-in-etc
> /etc/gconf/schemas/chatzilla.schemas
>  - This is fine

+ False positive in this case

> 3 packages and 0 specfiles checked; 0 errors, 4 warnings.
> 
> formal review here:
> +:ok, =:needs attention, -:needs fixing
> 
> MUST Items:
> [+] MUST: rpmlint must be run on every package.
> [+] MUST: The package must be named according to the Package Naming Guidelines.
> [+] MUST: The spec file name must match the base package %{name}
> [=] MUST: The package must meet the Packaging Guidelines.
>  - chatzilla-gnome should probably use "Requires: %{name} =
> %{version}-%{release}"

+ Fixed

>  - You don't need a BuiltRoot for F10+ (unless you're going to branch in EL5)
>  - You don't need a %clean if you're only pushing to >= F-13 (and not EL5)

+ I am gonna push to F-12 also

> [+] MUST: The package must be licensed with a Fedora approved license and meet
> the Licensing Guidelines.
> [-] MUST: The License field in the package spec file must match the actual
> license.
>  - All code I could find was triple licensed: MPLv1.1 or GPLv2+ or LGPLv2+

+ Fixed

> [+] MUST: If (and only if) the source package includes the text of the
> license(s) in its own file, then that file, containing the text of the
> license(s) for the package must be included in %doc.
> [+] MUST: The spec file must be written in American English.
> [+] MUST: The spec file for the package MUST be legible.
> [-] MUST: The sources used to build the package must match the upstream source,
> as provided in the spec URL.
>  - Upstream: 9792a010e620a77c2502a8935c92373c
>  - SRPM:     9dfccd10b3ddb79841e11af48089362e

+ It is an archive generated from hg, as there are no releases

> [+] MUST: The package must successfully compile and build into binary rpms on
> at least one supported architecture.
> [+] MUST: All build dependencies must be listed in BuildRequires
> [+] MUST: The spec file MUST handle locales properly. This is done by using the
> %find_lang macro.
> [+] MUST: Every binary RPM package which stores shared library files (not just
> symlinks) in any of the dynamic linker's default paths, must call ldconfig in
> %post and %postun.
> [+] MUST: A package must own all directories that it creates. If it does not
> create a directory that it uses, then it should require a package which does
> create that directory.
> [+] MUST: A package must not contain any duplicate files in the %files listing.
> [+] MUST: Permissions on files must be set properly. Executables should be set
> with executable permissions, for example. Every %files section must include a
> %defattr(...) line.
> [+] MUST: Each package must have a %clean section, which contains rm -rf
> %{buildroot} (or $RPM_BUILD_ROOT).
> [+] MUST: Each package must consistently use macros, as described in the macros
> section of Packaging Guidelines.
> [+] MUST: The package must contain code, or permissible content. This is
> described in detail in the code vs. content section of Packaging Guidelines.
> [+] MUST: If a package includes something as %doc, it must not affect the
> runtime of the application.
> [+] MUST: Packages must NOT contain any .la libtool archives, these should be
> removed in the spec.
> [+] MUST: Packages containing GUI applications must include a %{name}.desktop
> file, and that file must be properly installed with desktop-file-install in the
> %install section.
> [+] MUST: Packages must not own files or directories already owned by other
> packages.
> [+] MUST: All filenames in rpm packages must be valid UTF-8.
> 
> SHOULD Items:
> [=] SHOULD: If the source package does not include license text(s) as a
> separate file from upstream, the packager SHOULD query upstream to include it.
> [+] SHOULD: The description and summary sections in the package spec file
> should contain translations for supported Non-English languages, if available.
> [+] SHOULD: The reviewer should test that the package builds in mock.
> [+] SHOULD: The package should compile and build into binary rpms on all
> supported architectures.
> [+] SHOULD: The reviewer should test that the package functions as described.
> [+] SHOULD: If scriptlets are used, those scriptlets must be sane.
> [+] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
> /usr/bin, or /usr/sbin consider requiring the package which provides the file
> instead of the file itself.
Comment 3 Silas Sewell 2010-08-02 07:13:25 EDT
Notes
 * The archive generation process "should" always return the same results, but after doing a recursive diff on the two archives the only difference I found was in the ".hg_archival.txt" file so this might not be the case for mercurial.
 * I honestly don't really care, but you're suppose to update the changelog and create a new SRPM for each fix (even in a review).

[silas@tidg data]$ diff -r srpm upstream
diff -r srpm/.hg_archival.txt upstream/.hg_archival.txt
6a7
> latesttag: SEAMONKEY_2_1a2_BUILD2

[silas@tidg data]$ curl -s http://hg.mozilla.org/chatzilla/archive/239243fd40b4.tar.bz2 | md5sum
9792a010e620a77c2502a8935c92373c  -
[silas@tidg data]$ curl -s http://hg.mozilla.org/chatzilla/archive/239243fd40b4.tar.bz2 | md5sum
9792a010e620a77c2502a8935c92373c  -

====================================
  PACKAGE APPROVED by SILAS SEWELL
====================================
Comment 4 Hicham HAOUARI 2010-08-02 08:54:04 EDT
New Package CVS Request
=======================
Package Name: chatzilla 
Short Description: Standalone Mozilla IRC Client, no browsers attached
Owners: hicham
Branches: F-12 F-13 F-14
InitialCC: hicham
Comment 5 Kevin Fenzi 2010-08-02 12:29:40 EDT
GIT done (by process-git-requests).
Comment 6 Fedora Update System 2010-08-02 13:29:32 EDT
chatzilla-0.9.86-1.1285hg.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/chatzilla-0.9.86-1.1285hg.fc14
Comment 7 Fedora Update System 2010-08-02 13:30:08 EDT
chatzilla-0.9.86-1.1285hg.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/chatzilla-0.9.86-1.1285hg.fc13
Comment 8 Fedora Update System 2010-08-02 13:30:42 EDT
chatzilla-0.9.86-1.1285hg.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/chatzilla-0.9.86-1.1285hg.fc12
Comment 9 Fedora Update System 2010-08-02 20:34:47 EDT
chatzilla-0.9.86-1.1285hg.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2010-08-02 20:46:37 EDT
chatzilla-0.9.86-1.1285hg.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2010-08-02 22:18:12 EDT
chatzilla-0.9.86-1.1285hg.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.